frame

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

make examples error

It shows the fellowing message when I run the command of "make examples".
ImportError: No module named 'graphviz'
Makefile:80: recipe for target 'compile' failed
make[4]: *** [compile] Error 1
make[4]: Leaving directory '/home/liu/work_ssliu/ncsdk/examples/caffe/GoogLeNet'
cp: 无法获取'../../caffe/GoogLeNet/graph' 的文件状态(stat): 没有那个文件或目录
Makefile:9: recipe for target 'googlenet' failed
make[3]: *** [googlenet] Error 1
make[3]: Leaving directory '/home/liu/work_ssliu/ncsdk/examples/apps/multistick_cpp'
Makefile:12: recipe for target 'multistick_cpp/.' failed
make[2]: *** [multistick_cpp/.] Error 2
make[2]: Leaving directory '/home/liu/work_ssliu/ncsdk/examples/apps'
Makefile:12: recipe for target 'apps/.' failed
make[1]: *** [apps/.] Error 2
make[1]: Leaving directory '/home/liu/work_ssliu/ncsdk/examples'
Makefile:51: recipe for target 'examples' failed
make: *** [examples] Error 2

The command of "./install.sh" have passed before this. And It's there any one met this before?

Poll not found

    Comments

    • 6 Comments sorted by Votes Date Added
    • This is very simple error, it is not able to find graphviz.
      So you can install it by using given cammand
      sudo apt-get install graphviz or throought pip.

    • I have installed graphviz,however it cannot find it when in the ""/usr/local/bin/ncsdk/Views/Graphs.py".

    • @ssliu It is strange that you got this graphviz error because usally it is there by default. Can you check its version (2.38.0 is the current one) and also to ensure your machine runs Ubuntu 16.04 64-bit? You can use command "dot -V" on your prompt to see the actual version on your PC.

    • @ssliu, the ImportError: No module named 'graphviz' is actually from mvNCCompile which is a Python3 script, so you will have to run pip3 install graphviz instead of sudo apt-get install graphviz.

    • @ssliu After reproducing the issue that you encounter it became clear that "make examples" command will need both python frontend and graphviz itself for successful run. Meaning that you may put into console:
      sudo pip3 install graphviz
      then
      sudo apt-get install graphviz
      Please make us know if this fixes the problem.

    • @georgievm_cms @AshwinVijayakumar@imran The error occurred if I install the SDK by "./install.sh" directly.I then installed the SDK by "make install" ,and all the examples can run successfully and correctly.

    Sign In or Register to comment.